#include <sndfile.h>

class Wave
{
  public:
	           Wave(const char* filename);
	           Wave(int region_idx);
	          ~Wave();
	bool       open();
	void       get_full_path(char* fullpath);
	void       get_full_path(std::string* fullpath);

	string     path;
	SNDFILE*   sndfile;
	sf_count_t frames;
	int        channels;
	int        samplerate;

	uint32_t   region_start;
	uint32_t   region_end;
};

